Name:           synapse
Version:        0.2.4.2
Release:        1%{?dist}
Summary:        A semantic launcher written in Vala

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://synapse.zeitgeist-project.com/wiki/index.php?title=Main_Page
Source0:        http://launchpad.net/%{name}-project/0.2/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils%{?_isa}
BuildRequires:  gettext%{?_isa}
BuildRequires:  gtk2-devel%{?_isa}
BuildRequires:  intltool
BuildRequires:  json-glib-devel%{?_isa}
BuildRequires:  libgee-devel%{?_isa}
BuildRequires:  libgtkhotkey-devel%{?_isa}
BuildRequires:  libnotify-devel%{?_isa}
BuildRequires:  libzeitgeist-devel%{?_isa}
BuildRequires:  rest-devel%{?_isa}
BuildRequires:  unique-devel%{?_isa}
BuildRequires:  vala%{?_isa}
Requires:       zeitgeist

%description
Synapse is a semantic launcher written in Vala that you can use to start
applications as well as find and access relevant documents and files by making
use of the Zeitgeist engine.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-zeitgeist=yes --enable-indicator=auto
make V=1 %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
install -d -p -m 755 %{buildroot}%{_datadir}/vala/vapi
install -D -p -m 644 vapi/*.vapi %{buildroot}%{_datadir}/vala/vapi

# language files
%find_lang %{name}

# install desktop files
desktop-file-install                                    \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}%{_datadir}/applications/synapse.desktop

#  validate desktop file
desktop-file-validate %{buildroot}/%{_datadir}/applications/synapse.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/synapse
%{_datadir}/applications/synapse.desktop
%{_datadir}/icons/hicolor/scalable/apps/synapse.svg

%files devel
%defattr(-,root,root,-)
%doc AUTHORS 
%{_datadir}/vala/vapi

%changelog
* Wed Apr 06 2011 Renich Bon ciric <renich@woralelandia.com> - 0.2.4.2-1
- Updated to version 0.2.4.2
- Removed patch for crash fix: 
    https://launchpad.net/bugs/738153
- Includes several fixes; listed here:
    https://launchpad.net/synapse-project/+milestone/0.2.4.2#milestone_bugtasks

* Sat Apr 02 2011 Renich Bon Ciric <renich@woralelandia.com> - 0.2.4.1-4
- Moved README from devel to the main package

* Thu Mar 31 2011 Renich Bon Ciric <renich@woralelandia.com> - 0.2.4.1-3
- Changed the license to GPLv3+
- Implemented the isa macro on the devel package
- Removed BuildRoot
- Removed the check macro since it does nothing
- Removed empty docs
- Removed repeated docs on devel
- Removed INSTALL from documentation

* Mon Mar 28 2011 Renich Bon Ciric <renich@woralelandia.com> - 0.2.4.1-1
- Updated to 0.2.4.1
- Applied patch for bug https://launchpad.net/bugs/738153
- Added rest-devel as build dependency
- Added many missing dependencies
- Implemented the arch macro
- Removed the clean section
- Updated the install section
- Added proper desktop-file installation and validation procedures
- Added a make check section

* Fri Mar 25 2011 Renich Bon Ciric <renich@woralelandia.com> - 0.2.4-2
- Enabled Zeitgeist plugin

* Thu Feb 24 2011 Renich Bon Ciric <renich@woralelandia.com> - 0.2.4-1
- Updated to latest version

* Thu Jan 28 2011 Renich Bon Ciric <renich@woralelandia.com> - 0.2.2.2-1
- First build
